com.holonplatform.datastore.jpa.querydsl.internal

## Class DefaultQueryDslTarget<T>

- java.lang.Object
- - com.holonplatform.datastore.jpa.querydsl.internal.DefaultQueryDslTarget<T>

- All Implemented Interfaces:
    com.holonplatform.core.DataMappable, com.holonplatform.core.datastore.DataTarget<T>, com.holonplatform.core.Expression, com.holonplatform.core.Path<T>, com.holonplatform.core.Path.FinalPath<T>, com.holonplatform.core.TypedExpression<T>, QueryDslTarget<T>, Serializable

      public class DefaultQueryDslTarget<T>
      extends Object
      implements QueryDslTarget<T>

  `DataTarget` using a QueryDSL `EntityPath`
  Since:
    4.4.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DataTarget

      `com.holonplatform.core.datastore.DataTarget.DataTargetResolver<T extends com.holonplatform.core.datastore.DataTarget>, com.holonplatform.core.datastore.DataTarget.DataTargetSupport<C extends com.holonplatform.core.datastore.DataTarget.DataTargetSupport<C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path.FinalPath

      `com.holonplatform.core.Path.FinalPath.FinalPathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `com.holonplatform.core.Path.Builder<T,B extends com.holonplatform.core.Path.Builder<T,B>>, com.holonplatform.core.Path.FinalPath<T>, com.holonplatform.core.Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultQueryDslTarget(com.querydsl.core.types.EntityPath<T> entityPath)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.querydsl.core.types.EntityPath<T>` | `getEntityPath()` Get the EntityPath to be used as query target
    `String` | `getName()`
    `Class<? extends T>` | `getType()`
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.querydsl.QueryDslTarget

      `getDataPath, of`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataTarget

      `named, of, property, property, property, property, property, property, property`

    - ### Methods inherited from interface com.holonplatform.core.Path.FinalPath

      `getParent, of`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, isRootPath, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `isDataMappable`

- - ### Constructor Detail

    - #### DefaultQueryDslTarget

          public DefaultQueryDslTarget(com.querydsl.core.types.EntityPath<T> entityPath)

      Constructor
      Parameters:
        `entityPath` - EntityPath

  - ### Method Detail

    - #### getType

          public Class<? extends T> getType()

      Specified by:
        `getType` in interface `com.holonplatform.core.TypedExpression<T>`

    - #### getEntityPath

          public com.querydsl.core.types.EntityPath<T> getEntityPath()

      Description copied from interface: `QueryDslTarget`
      Get the EntityPath to be used as query target
      Specified by:
        `getEntityPath` in interface `QueryDslTarget<T>`
      Returns:
        Target EntityPath

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `com.holonplatform.core.Path<T>`

    - #### validate

          public void validate()
                        throws com.holonplatform.core.Expression.InvalidExpressionException

      Specified by:
        `validate` in interface `com.holonplatform.core.Expression`
      Throws:
        `com.holonplatform.core.Expression.InvalidExpressionException`

Copyright © 2019 The Holon Platform. All rights reserved.